import cx from 'classnames';
import PropTypes from 'prop-types';
import { BASE_CLASS_BUTTON, BASE_CLASS_ITEM } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var InputButton = function InputButton(_ref) {
  var button = _ref.button,
    children = _ref.children;
  if (button === undefined) {
    return children;
  }
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [children, /*#__PURE__*/_jsx("span", {
      className: cx(BASE_CLASS_ITEM, BASE_CLASS_BUTTON + "-button"),
      children: button
    })]
  });
};
export default InputButton;